aboutsummaryrefslogtreecommitdiff
path: root/bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash')
-rw-r--r--bash/bashrc.d/fnl.bash5
1 files changed, 3 insertions, 2 deletions
diff --git a/bash/bashrc.d/fnl.bash b/bash/bashrc.d/fnl.bash
index fd8dfc97..50bf7a31 100644
--- a/bash/bashrc.d/fnl.bash
+++ b/bash/bashrc.d/fnl.bash
@@ -23,8 +23,9 @@ fnl() {
fi
# Create a temporary directory or bail
- local dirname
- if ! dirname=$(mktemp -dt -- "$FUNCNAME"."$1".XXXXXX) ; then
+ local dirname template
+ template=$FUNCNAME.$1.XXXXXX
+ if ! dirname=$(mktemp -dt -- "$template") ; then
return
fi